Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

Generate a JWT access token through a Custom Global Integration and provide it with each request in the Authorization header prefixed with "Bearer" and then a single space.

Path Parameters

id
integer<int32>
required

The id of the referenced Warehouse.

Query Parameters

fields
enum<string>[]

Specify additional fields of the ReplenishmentPolicy object to be included in the response.

Available options:
basic,
all,
name,
is_active,
sort_order,
merchant_ids,
merchants,
product_profile_ids,
product_profiles,
product_profile_match_mode,
handling_class_ids,
handling_classes,
subject_readable,
location_profile,
demand_period_days,
trigger_doi_days,
target_doi_days,
qualification_reason,
flagged_sku_count,
skipped_sku_count,
slotting_forbidden_count,
results_refresh_pending,
created_at,
updated_at
fields:merchants
enum<string>[]

Specify direct fields of selected Merchant objects to include under included.Merchant. Add merchants to the root fields parameter to return the relationship. type and id are always returned. Specify direct fields of an included Merchant object.

Available options:
code,
name,
status,
created_at,
updated_at
fields:product_profiles
enum<string>[]

Specify fields of selected ProductProfile objects to include under included.ProductProfile. Add product_profiles to the root fields parameter to return the relationship. type and id are always returned. Specify fields of an included ProductProfile object.

Available options:
basic,
all,
name,
code,
conditions,
conditions_readable,
matched_count,
classification,
created_at,
updated_at
fields:handling_classes
enum<string>[]

Specify direct fields of selected HandlingClass objects to include under included.HandlingClass. Add handling_classes to the root fields parameter to return the relationship. type and id are always returned. Specify direct fields of an included HandlingClass object.

Available options:
name,
code,
sort_order,
conditions,
conditions_readable,
matched_count,
classification,
created_at,
updated_at
fields:location_profile
enum<string>[]

Specify direct fields of the LocationProfile selected by each Policy. Location Tags and Slot Types remain available from the Profile's own endpoint. Specify direct fields of the included LocationProfile object.

Available options:
name,
description,
status,
member_count,
match,
match_readable,
active_revision,
pending_revision,
used_by,
created_at,
updated_at
filter
string[]

Using the filtering syntax, you may filter the results using the following fields:

  • id
  • name
  • is_active
  • location_profile_id
sort
string

The default sort order is ascending by sort_order, which is the order in which policies are evaluated for a Product. Every sort carries an ascending id tie-break, because duplicate sort_order values are allowed. The following fields are available for sorting:

  • id
  • name
  • sort_order
  • updated_at
count
integer

If specified as 1, the meta.count property of the response will be present and populated with the total count of items matching the query before any paging is applied. This is not included by default to improve performance in some edge cases and is not required to perform paging using the next property of the response. See paging parameters for more information.

Required range: 0 <= x <= 1
cursor_end
integer

A cursor for use in pagination which defines the last id of the next page of results, non-inclusive. See paging parameters for more information on paging.

cursor_start
integer

A cursor for use in pagination which defines the starting id of the next page of results. See paging parameters for more information on paging.

limit
integer
default:100

A limit on the number of objects to be returned.

Required range: 1 <= x <= 1000
Example:

100

Response

A dictionary with a collection property containing up to limit ReplenishmentPolicy objects matching the query.

collection
ReplenishmentPolicy · object[]

A list of ReplenishmentPolicy objects.

has_more
boolean

True if the collection has more items on the next page. Use the "next" link to retrieve the next page of results.

next
string | null

The resource path for the next page of results if any are expected.

previous
string | null

The resource path for the previous page of results if any are expected.

included
object

Lists of referenced objects included by specifying optional fields. See the selecting fields page for more information.

Example:
meta
object

Additional metadata pertaining to the response.